Loading...
Searching...
No Matches
casacore::TVecMath_global_functions_basicMath Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

More...

`#include <TVecMath.h>`

## Public Member Functions

template<class T>
void | tabVecReptvassadd (TabVecRep< T > &, const TabVecRep< T > &)
| Add 2 table vectors storing result in first one.
template<class T>
void | tabVecReptvasssub (TabVecRep< T > &, const TabVecRep< T > &)
| Subtract 2 table vectors storing result in first one.
template<class T>
void | tabVecReptvasstim (TabVecRep< T > &, const TabVecRep< T > &)
| Multiple 2 table vectors storing result in first one.
template<class T>
void | tabVecReptvassdiv (TabVecRep< T > &, const TabVecRep< T > &)
| Divide 2 table vectors storing result in first one.
template<class T>
void | tabVecRepvalassadd (TabVecRep< T > &, const T &)
| Add a scalar to each element in the table vector.
template<class T>
void | tabVecRepvalasssub (TabVecRep< T > &, const T &)
| Subtract a scalar from each element in the table vector.
template<class T>
void | tabVecRepvalasstim (TabVecRep< T > &, const T &)
| Multiple each element in the table vector with a scalar.
template<class T>
void | tabVecRepvalassdiv (TabVecRep< T > &, const T &)
| Divide each element in the table vector by a scalar.
template<class T>
TabVecRep< T > & | tabVecRepnegate (const TabVecRep< T > &)
| Unary minus - store result in a new vector.
template<class T>
TabVecRep< T > & | tabVecReptvadd (const TabVecRep< T > &, const TabVecRep< T > &)
| Add 2 table vectors storing result in a new one.
template<class T>
TabVecRep< T > & | tabVecReptvsub (const TabVecRep< T > &, const TabVecRep< T > &)
| Subtract 2 table vectors storing result in a new one.
template<class T>
TabVecRep< T > & | tabVecReptvtim (const TabVecRep< T > &, const TabVecRep< T > &)
| Multiple 2 table vectors storing result in a new one.
template<class T>
TabVecRep< T > & | tabVecReptvdiv (const TabVecRep< T > &, const TabVecRep< T > &)
| Divide 2 table vectors storing result in a new one.
template<class T>
TabVecRep< T > & | tabVecRepvalradd (const TabVecRep< T > &, const T &)
| Add a scalar to each element in the table vector storing result in a new table vector.
template<class T>
TabVecRep< T > & | tabVecRepvalrsub (const TabVecRep< T > &, const T &)
| Subtract a scalar from each element in the table vector storing result in a new table vector.
template<class T>
TabVecRep< T > & | tabVecRepvalrtim (const TabVecRep< T > &, const T &)
| Multiple each element in the table vector with a scalar storing result in a new table vector.
template<class T>
TabVecRep< T > & | tabVecRepvalrdiv (const TabVecRep< T > &, const T &)
| Divide each element in the table vector by a scalar storing result in a new table vector.
template<class T>
TabVecRep< T > & | tabVecRepvalladd (const T &, const TabVecRep< T > &)
| Add a scalar to each element in the table vector storing result in a new table vector.
template<class T>
TabVecRep< T > & | tabVecRepvallsub (const T &, const TabVecRep< T > &)
| Subtract a scalar from each element in the table vector storing result in a new table vector.
template<class T>
TabVecRep< T > & | tabVecRepvalltim (const T &, const TabVecRep< T > &)
| Multiple each element in the table vector with a scalar storing result in a new table vector.
template<class T>
TabVecRep< T > & | tabVecRepvalldiv (const T &, const TabVecRep< T > &)
| Divide each element in the table vector by a scalar storing result in a new table vector.

## Detailed Description

Basic math for table vectors.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

These global functions do the basic math for table vectors. This means addition, subtraction, multiplication, division and negation. In case two table vectors are used, the left and right operand must be conformant (i.e. have equal length).

Definition at line 56 of file TVecMath.h.

## Member Function Documentation

## tabVecRepnegate()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepnegate | ( | const TabVecRep< T > & |  | ) |

Unary minus - store result in a new vector.

Tip: (unary plus is already handled in TabVecMath);

## tabVecReptvadd()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecReptvadd | ( | const TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

Add 2 table vectors storing result in a new one.

## tabVecReptvassadd()

template<class T>

void casacore::TVecMath_global_functions_basicMath::tabVecReptvassadd | ( | TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

Add 2 table vectors storing result in first one.

## tabVecReptvassdiv()

template<class T>

void casacore::TVecMath_global_functions_basicMath::tabVecReptvassdiv | ( | TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

Divide 2 table vectors storing result in first one.

## tabVecReptvasssub()

template<class T>

void casacore::TVecMath_global_functions_basicMath::tabVecReptvasssub | ( | TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

Subtract 2 table vectors storing result in first one.

## tabVecReptvasstim()

template<class T>

void casacore::TVecMath_global_functions_basicMath::tabVecReptvasstim | ( | TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

Multiple 2 table vectors storing result in first one.

## tabVecReptvdiv()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecReptvdiv | ( | const TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

Divide 2 table vectors storing result in a new one.

## tabVecReptvsub()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecReptvsub | ( | const TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

Subtract 2 table vectors storing result in a new one.

## tabVecReptvtim()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecReptvtim | ( | const TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

Multiple 2 table vectors storing result in a new one.

## tabVecRepvalassadd()

template<class T>

void casacore::TVecMath_global_functions_basicMath::tabVecRepvalassadd | ( | TabVecRep< T > & | ,
|  | const T & | )

Add a scalar to each element in the table vector.

## tabVecRepvalassdiv()

template<class T>

void casacore::TVecMath_global_functions_basicMath::tabVecRepvalassdiv | ( | TabVecRep< T > & | ,
|  | const T & | )

Divide each element in the table vector by a scalar.

## tabVecRepvalasssub()

template<class T>

void casacore::TVecMath_global_functions_basicMath::tabVecRepvalasssub | ( | TabVecRep< T > & | ,
|  | const T & | )

Subtract a scalar from each element in the table vector.

## tabVecRepvalasstim()

template<class T>

void casacore::TVecMath_global_functions_basicMath::tabVecRepvalasstim | ( | TabVecRep< T > & | ,
|  | const T & | )

Multiple each element in the table vector with a scalar.

## tabVecRepvalladd()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepvalladd | ( | const T & | ,
|  | const TabVecRep< T > & | )

Add a scalar to each element in the table vector storing result in a new table vector.

## tabVecRepvalldiv()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepvalldiv | ( | const T & | ,
|  | const TabVecRep< T > & | )

Divide each element in the table vector by a scalar storing result in a new table vector.

## tabVecRepvallsub()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepvallsub | ( | const T & | ,
|  | const TabVecRep< T > & | )

Subtract a scalar from each element in the table vector storing result in a new table vector.

## tabVecRepvalltim()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepvalltim | ( | const T & | ,
|  | const TabVecRep< T > & | )

Multiple each element in the table vector with a scalar storing result in a new table vector.

## tabVecRepvalradd()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepvalradd | ( | const TabVecRep< T > & | ,
|  | const T & | )

Add a scalar to each element in the table vector storing result in a new table vector.

## tabVecRepvalrdiv()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepvalrdiv | ( | const TabVecRep< T > & | ,
|  | const T & | )

Divide each element in the table vector by a scalar storing result in a new table vector.

## tabVecRepvalrsub()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepvalrsub | ( | const TabVecRep< T > & | ,
|  | const T & | )

Subtract a scalar from each element in the table vector storing result in a new table vector.

## tabVecRepvalrtim()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicMath::tabVecRepvalrtim | ( | const TabVecRep< T > & | ,
|  | const T & | )

Multiple each element in the table vector with a scalar storing result in a new table vector.

The documentation for this struct was generated from the following file:

- tables/Tables/TVecMath.h